<template>
    <v-card max-width="600" class="faq-card">
        <v-card-title class="pl-0 pl-md-4">
            {{ cardTitle }}
        </v-card-title>
        <v-card-text class="px-0 px-md-4">
            <v-stepper
                v-model="e6"
                class="pb-0"
                vertical>
                <template v-for="(qa, key) in questions">
                    <v-stepper-step
                        :key="key"
                        :step="key"
                        complete
                        :class="'faq-step-'+e6"
                        :complete-icon="qa.isActive ? 'mdi-minus-circle-outline' : 'mdi-plus-circle-outline'"
                        :color="'transparent'"
                        @click="setKeyAndChangeActiveData(key, qa.key)">
                        <span class="question">{{ qa.question }}</span>
                    </v-stepper-step>
                    <v-stepper-content :key="qa.key"
                                       :step="key">
                        <v-card color="lighten-1"
                                height="auto"
                                class="pb-4">
                            <p class="text-left mb-0">
                                {{ qa.answer }}
                            </p>
                        </v-card>
                    </v-stepper-content>
                </template>
            </v-stepper>
        </v-card-text>
    </v-card>
</template>

<script>
export default {
    name: 'FAQCard',
    data: () => ({
        cardTitle: 'Frequency questions',
        questions: {
            1: {
                isActive: true,
                key: 'how',
                question: 'How Instavigator goes followers?',
                answer: '  Our team will begin interacting with your target audience by liking their photos, leaving comments and following strategic accounts. This arouses their curiousity and they visit your page, encouraging them to follow your account. Of the thousands of users and photos we interact with, a small percentage will become your followers. This followers will become your friends, fans or clients.'
            },
            2: {
                isActive: false,
                key: 'grow',
                question: 'How fast will my account grow?',
                answer: 'After you will select a pricing growth plan and send us some informations you will come in contact with your account manager. You will pick up new followers and more engagement as soon as our account manager gets to work.'
            },
            3: {
                isActive: false,
                key: 'save',
                question: 'Is this service save?',
                answer: 'Our team have never had a single instagram account locked, suspended because we do everything manually. Thanks of us, you can focus on more important things.'
            },
            4: {
                isActive: false,
                key: 'password',
                question: 'Do I have to share my password with you?',
                answer: 'Yes. We\'re human and need these credentials to help manage your account on your behalf. Rest assured we will not share your password with anybody and  we do not store the password. The password is also encrypted using secure HTTPS and TLS which are the best security protocols available on the internet today.'
            },
        },
        e6: 1,
    }),
    methods: {
        setKeyAndChangeActiveData(key, qaKey) {
            for(let i in this.questions) {
                if(this.questions[i].key === qaKey) {
                    this.questions[i].isActive = true
                    this.e6 = key;
                } else {
                    this.questions[i].isActive = false
                }
            }
        }
    }
}
</script>

<style lang="scss" scoped>
    .faq-card {
        box-shadow: none;
        @media(max-width: 960px) {
            max-width: 100%!important;
        }
        .v-card__title {
            font-size: 1.7rem;
        }
    }
    .mdi-minus-circle-outline {
        color: red!important;
    }
    .v-stepper__step {
        cursor: pointer;
    }
</style>
